import { AxiosResponse } from 'axios'
import { ContentType, HttpClient, RequestParams } from "/@/api/admin/http-client";
import { sendMessageFilterModel, PageInputSendMessageFilterModel } from "/@/api/admin/AlarmService/sendMessageDto";

export class sendMessageApi<SecurityDataType = unknown> extends HttpClient<SecurityDataType> {
    /**
   * No description
   *
   * @tags
   * @name getData
   * @summary 查询规则
   * @request POST:
   * @secure
   */
    getData = (data: PageInputSendMessageFilterModel, params: RequestParams = {}) =>
        this.request<sendMessageFilterModel, any>({
            path: '/api/app/push/get-push-list',
            method: 'POST',
            body: data,
            secure: true,
            type: ContentType.Json,
            format: 'json',
            ...params
        })

}

