import {ContentType, HttpClient, RequestParams,} from "/@/api/admin/http-client";
import {AxiosResponse} from "axios/index";


  export class DispenserAuthCodeApi<SecurityDataType = unknown> extends HttpClient<SecurityDataType> {
    /**
   * No description
   *
   * @tags
   * @name getDispenserAuthCode
   * @summary 查询油机授权码
   * @request POST:'/api/app/fuel-authcode/get-fuel-auth-code'
   * @secure
   */
getDispenserAuthCode = (data: any ,params: RequestParams = {})   =>
      this.request<AxiosResponse,any>({
        path:'/api/app/fuel-authcode/get-fuel-auth-code',
        method: 'POST',
        query:data,
        type: ContentType.Json,
        secure: true,
        ...params
      })




    /**
   * No description
   *
   * @tags
   * @name InsertDispenserAuthCode
   * @summary 插入油机授权码记录
   * @request POST:'/api/app/fuel-authcode/get-fuel-auth-code'
   * @secure
   */
    InsertDispenserAuthCode = (data:any ,params: RequestParams = {}) : any  =>
        this.request<AxiosResponse,any>({
          path:'/api/app/fuel-auth-code-record/insert-fuel-auth-code-record',
          method: 'POST',
          body:data,
          type: ContentType.Json,
          secure: true,
          format: 'json',
          ...params
        })



      /**
     * No description
     *
     * @tags
     * @name getDispenserAuthCodeRecord
     * @summary 查询油机授权码记录
     * @request POST:'/api/app/fuel-auth-code-record/get-fuel-auth-code-page'
     * @secure
     */
  getDispenserAuthCodeRecord = (data:any ,params: RequestParams = {}) : any  =>
        this.request<AxiosResponse,any>({
          path:'/api/app/fuel-auth-code-record/get-fuel-auth-code-page',
          method: 'POST',
          body:data,
          type: ContentType.Json,
          secure: true,
          format: 'json',
          ...params
        })


    }


