import { AxiosResponse } from 'axios'
import {ContentType, HttpClient, RequestParams} from "/@/api/admin/http-client";
import {PageInputEncScreenFilterModel,ResultOutputPageOutputEncScreenFilterModel,PageOutputEncScreenFilterModel} from "/@/api/admin/reportManagement/encScreen/encScreenDto";

export class encScreenApi<SecurityDataType = unknown> extends HttpClient<SecurityDataType>{

  getPage = (data: PageInputEncScreenFilterModel, params: RequestParams = {}) =>
    this.request<ResultOutputPageOutputEncScreenFilterModel, any>({
      path: `/api/app/fuel-dispenser/get-encoder-controls-list`,
      method: 'POST',
      body: data,
      secure: true,
      type: ContentType.Json,
      format: 'json',
      ...params,
    })
}