import { AxiosResponse } from 'axios'
import {ContentType, HttpClient, RequestParams} from "/@/api/admin/http-client";
import {PageInputEncoderFilterModel,ResultOutputPageOutputEncoderFilterModel,PageOutputEncoderFilterModel} from "/@/api/admin/reportManagement/encoder/encoderDto";

export class encoderApi<SecurityDataType = unknown> extends HttpClient<SecurityDataType>{

  getPage = (data: PageInputEncoderFilterModel, params: RequestParams = {}) =>
    this.request<ResultOutputPageOutputEncoderFilterModel, any>({
      path: `/api/app/fuel-dispenser/get-encoder-controls-list`,
      method: 'POST',
      body: data,
      secure: true,
      type: ContentType.Json,
      format: 'json',
      ...params,
    })
}