import { AxiosResponse } from 'axios'
import {ContentType, HttpClient, RequestParams} from "/@/api/admin/http-client";
import {PageInputgasStationFilterModel,gasStationFilterModel} from "/@/api/admin/reportManagement/gasStation/gasStationDto";

export class gasStationApi<SecurityDataType = unknown> extends HttpClient<SecurityDataType>{
  timer = 500
  /**
   * No description
   *
   * @tags
   * @name getPageData
   * @summary 分页查询
   * @request GET:
   * @secure
   */

  getPage = (data: PageInputgasStationFilterModel, params: RequestParams = {}) =>
    this.request<gasStationFilterModel, any>({
      path: `/api/app/fuel-dispenser/get-station-list`,
      method: 'POST',
      body: data,
      secure: true,
      type: ContentType.Json,
      format: 'json',
      ...params,
    })
}